Failed to read artifact descriptor for com.jaspersoft.jasperserver:jasperserver-dto:jar:8.1.0

Hello,

I'm trying to upgrade jrs-rest-java-client from 7.9.0 to 8.1.0 (same problem with 8.0.0) but it's not possible due to strange jaspersoft artifactory issue.

Could not resolve dependencies for project xxx: Failed to collect dependencies at com.jaspersoft:jrs-rest-java-client:jar:8.1.0 -> com.jaspersoft.jasperserver:jasperserver-dto:jar:8.1.0: Failed to read artifact descriptor for com.jaspersoft.jasperserver:jasperserver-dto:jar:8.1.0: com.jaspersoft.jasperserver:server:pom:8.1.0 was not found in http://artifactory...

jrs-rest-java-client requires jasperserver-dto v8.1.0 which is a module from com.jaspersoft.jasperserver:server. Unfortunately, on jaspersoft artifactory last released version of server is 7.9.0. Higher versions are available, but only as snapshots. It's strange as jasperserver-dto as well as jrs-rest-java-client have 8.1.0 versions released.

Do You have any idea how to resolve this issue?

Thank You for help.

Best regards from Poland,

Artur

 
artur.petrzak's picture
Joined: Sep 16 2022 - 1:17am
Last seen: 1 week 1 day ago

0 Answers:

No answers yet
Feedback